You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@nuttx.apache.org by gn...@apache.org on 2020/04/20 13:07:44 UTC

[incubator-nuttx] 04/09: tools/testbuild.sh: Check defconfig in the canonical format

This is an automated email from the ASF dual-hosted git repository.

gnutt pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-nuttx.git

commit 48e6b97ca7fafd86d9f9c56b52d6ab2d12600b71
Author: Xiang Xiao <xi...@xiaomi.com>
AuthorDate: Sun Apr 19 17:25:27 2020 +0800

    tools/testbuild.sh: Check defconfig in the canonical format
    
    Signed-off-by: Xiang Xiao <xi...@xiaomi.com>
---
 tools/testbuild.sh | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

diff --git a/tools/testbuild.sh b/tools/testbuild.sh
index d1f3f34..4bef96e 100755
--- a/tools/testbuild.sh
+++ b/tools/testbuild.sh
@@ -185,7 +185,9 @@ function distclean {
 
 function configure {
   echo "  Configuring..."
-  ./tools/configure.sh ${HOPTION} $config
+  if ! ./tools/configure.sh ${HOPTION} $config; then
+    fail=1
+  fi
 
   if [ "X$toolchain" != "X" ]; then
     setting=`grep _TOOLCHAIN_ $nuttx/.config | grep -v CONFIG_ARCH_TOOLCHAIN_* | grep =y`
@@ -207,9 +209,7 @@ function configure {
       sed -i -e "\$aCONFIG_ARCH_SIZET_LONG=y" $nuttx/.config
     fi
 
-
-    echo "  Refreshing..."
-    makefunc olddefconfig 1>/dev/null
+    makefunc olddefconfig
   fi
 }
 
@@ -217,8 +217,13 @@ function configure {
 
 function build {
   echo "  Building NuttX..."
-  echo "------------------------------------------------------------------------------------"
   makefunc ${JOPTION}
+
+  # Ensure defconfig in the canonical form
+
+  if ! ./tools/refresh.sh --silent $config; then
+    fail=1
+  fi
 }
 
 # Coordinate the steps for the next build test